<div class="modal-header">
    <h5 class="modal-title">
        Select your Filter Type
        <br>
    </h5>
    <button type="button" class="close" (click)="close();">&times;</button>
</div>

<div class="modal-body" style="padding: 0 !important;">
    <!-- Filter Apply -->
    <div *ngIf="viewFilterdata.length > 0" class="px-3 py-2" style="width:100%;">
        <label class="form-label label-material">Selected Filters</label>
         <span class="ml-2  "
                placement="top" ngbTooltip="Selected Filter that will be applied to the result">
                            <i class="ion ion-ios-information-circle-outline ion-theme"></i>
         </span>
        <div class="w-100">
            <div *ngFor="let filteritems of filterOptions;let i=index" class="d-inline-flex">
                <div ngbDropdown [placement]="isRTL ? 'bottom-right' : 'bottom-left'"
                     class="d-inline-flex mr-1 mb-1 values-align"
                     *ngIf="filteritems.dirtyFlag && filteritems.selectedValues.length>0">
                    <button class="btn btn-primary btn-sm btn-round"
                            [ngClass]="currentSelectedItem==i?onChangeOnFilterItems:''"
                            ngbDropdownToggle>{{filteritems.object_display}}</button>
                    <!-- Date field -->
                    <div ngbDropdownMenu [class.dropdown-menu-right]="isRTL" *ngIf="filteritems.datefield">
                        <a class="dropdown-item disabled"
                           href="javascript:void(0)">{{filteritems.object_name.substr(5,10) + '-' + filteritems.object_name.slice(0,4)}}</a>
                    </div>
                    <!-- other field -->
                    <div ngbDropdownMenu [class.dropdown-menu-right]="isRTL" *ngIf="!filteritems.datefield"
                         style="max-height: 400px;overflow:auto;">
                        <a class="dropdown-item disabled" href="javascript:void(0)"
                           *ngFor="let val of filteritems.selectedValues">{{val}}</a>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="app-filter-content">
        <div class="row-two filter-header">
            <div class="col-title px-3 py-2">
                <label class="form-label label-material">Filter Options</label>
                <span
                        class="ml-2  "
                        placement="top" ngbTooltip="Search filter options to select">
                                <i class="ion ion-ios-information-circle-outline ion-theme"></i>
                            </span>
                <div class="input-group">
                    <input class="form-control form-material" placeholder="Search for..." type="text"
                           [(ngModel)]="searchText_filterObj" (keyup)="onSearchInput($event, 'filterObj')">
                    <span class="form-btn" *ngIf="searchText_filterObj != ''"
                          (click)="clearSearchText('filterObj')"><i class="fa fa-times"
                                                                    aria-hidden="true"></i></span>
                </div>
            </div>

            <div class="col-title px-3 py-2" style="border-left:1px solid #e7e7e7">
                <label class="form-label label-material">Filter Values</label>
                <span class="ml-2  "
                      placement="top" ngbTooltip="Search filter type to select values">
                                <i class="ion ion-ios-information-circle-outline ion-theme"></i>
                            </span>
                <div class="input-group">
                    <input class="form-control form-material" placeholder="Search for..." type="text"
                           [(ngModel)]="searchText_filterVal" (keyup)="onSearchInput($event, 'filterVal')">
                    <span class="form-btn" *ngIf="searchText_filterVal != ''"
                          (click)="clearSearchText('filterVal')"><i class="fa fa-times"
                                                                    aria-hidden="true"></i></span>
                </div>
                <div *ngIf="!isdateField" class="select_all float-right ml-2" style="padding-top: 7px;">
                    <label class="custom-control custom-checkbox m-0">
                        <input type="checkbox" class="custom-control-input" name="Select/UnSelect All"
                               [(ngModel)]="isSelectAll" [checked]="isSelectAll" (change)="selectAll()">
                        <span class="custom-control-label checkbox-label">Select All</span>
                    </label>
                </div>
                <div class="float-right mt-2 mr-2 text-dark" style="padding-top: 4px;" placement="top"
                     ngbTooltip="Reset filter values"><i
                        class="fas fa-sync-alt" (click)="resetAllClick()"></i></div>
            </div>
        </div>
        <div class="row-three">
            <div class="filter-list">
                <ul class="list-group">
                    <li class="list-group-item" *ngFor="let option of filterOptions_copy; let i=index;"
                        [ngClass]="{'active':selectedItem == option}" (click)="itemSelected(option,i)">
                        <div class="filter-left-item">{{option.object_display}}</div>
                        <span class="badge float-right">{{option.badge}}</span>
                    </li>
                </ul>
            </div>
            <!-- date field is true -->
            <div class="filter-list filter-overflow-hidden set-date-filter-height" *ngIf="selectedItem_copy.datefield">
                <ul class="list-group">
                    <li class="list-group-item" style="overflow: initial !important;">
                        <div class="input-group ngx-data-ui">
                            <input class="form-control p-0 bg-transparent text_default input-box-style border-0"
                                   placeholder="Choose a date" [options]="dpOptions" name="dpfromdate"
                                   ngx-mydatepicker #dpfromdate="ngx-mydatepicker"
                                   [(ngModel)]="selectedItem_copy?.values[0].dateValue" (click)="dpfromdate.toggleCalendar()"
                                   (dateChanged)="dateValueChanged(selectedItem_copy, $event)"
                                   style="min-height:20px !important;max-height:20px !important;cursor: pointer">
                            <span style="cursor: pointer">
                                 <span (click)="dpfromdate.toggleCalendar()">
                                                <i class="fa-lg las la-calendar pt-1"></i>
                                            </span>
                                        </span>
                        </div>
                    </li>
                </ul>
            </div>
            <!-- date field is false -->
            <div class="filter-list filter-overflow-hidden" *ngIf="!selectedItem_copy.datefield"
                 appInfinitescroll (scrolled)="updateScrollPos($event)">
                <ul class="list-group">
                    <li class="list-group-item" *ngFor="let value of selectedItem_copy.values"
                        (click)="multiValueChanged(selectedItem_copy, value)">
                        <span *ngIf="!selectedItem_copy.datefield && value">{{value.value}}</span>

                        <span *ngIf="!selectedItem_copy.datefield" class="float-right icon-material">
                                        <i [ngClass]="{'fas fa-check':value.selected}" aria-hidden="true"></i>
                                    </span>
                    </li>
                    <li class="list-group-item"
                        *ngIf="selectedItem_copy.values && !selectedItem_copy.values.length>0">
                        No data to select
                    </li>
                    <li class="list-group-item" *ngIf="!selectedItem_copy.values">
                        <span class="text-danger" *ngIf="!value">{{isFilterFetchFail}}</span>
                    </li>
                </ul>
            </div>
        </div>
    </div>
</div>

<div class="modal-footer">
    <button type="button" class="btn btn-default" (click)="close();">Close</button>
    <button type="button" class="btn btn-default device-btn" (click)="resetAllClick()">Reset All</button>
    <button type="button" class="btn btn-primary btn-material" (click)="apply()">Save</button>
</div>